<project name="MyXtandemParser" default="generate_MyXtandemParser" basedir=".">
	<description>
		MyXtandemParser ant build file
	</description>

	<!-- set global properties for this build -->

	<property name="lib" location="lib" />
	<property name="resources" location="src/resources" />
	<property name="src" location="src" />
	<property name="build" location="build" />
	<property name="dist" location="dist" />
	<property name="confDir" location="src/conf/release" />
	<property name="docDir" location="doc" />
	<property name="jnlpDir" location="jnlp" />
	<property name="PROTICwwwDir" location="/home/langella/eclipse/PROTICwww" />

	<!-- sign informations -->
	<property name="keystore" value="/home/langella/.keystore" />
	<property name="alias" value="your_alias_in_keystore" />
	<property name="storepass" value="your_password_for_storepass" />
	<property name="keypass" value="your_password_for_keypass" />

	<target name="reset">
		<!-- reset the build and dist directory -->
		<delete dir="jnlp" />
		<delete dir="build" />
		<delete dir="dist" />
		<mkdir dir="build" />
		<mkdir dir="jnlp" />
		<mkdir dir="dist" />
		<mkdir dir="dist/lib_signed" />
		<mkdir dir="dist/lib_signed/swt" />
		<mkdir dir="dist/lib_signed/batik" />
		<mkdir dir="dist/lib_signed/http" />
	</target>


	<target name="init" depends="reset">
		<!-- Create the time stamp -->
		<tstamp />
	</target>

	<path id="classpath">
		<fileset dir="${lib}" includes="**/*.jar" />
	</path>


	<target name="compile" depends="init" description="compile the source and put in build directory">
		<!-- Compile the java code from ${src} into ${build} -->
		<javac srcdir="${src}" destdir="${build}" target="1.6" source="1.6" classpathref="classpath" includeantruntime="false">
			<compilerarg line="-encoding utf-8" />
			<classpath>
				<pathelement location="${build}/fr/inra/pappso/xtandempipeline/XtandemPipelineMain.class" />
			</classpath>
		</javac>
	</target>


	<target name="jar" depends="compile" description="generates the jar file of the build directory">
		<mkdir dir="${build}/conf" />
		<copy todir="${build}/conf" overwrite="true">
			<fileset dir="${confDir}" includes="*" />
		</copy>
		<mkdir dir="${build}/resources" />
		<copy todir="${build}/resources" overwrite="true">
			<fileset dir="${resources}" includes="**" />
		</copy>
		
		<jar jarfile="${dist}/XtandemPipeline.jar" basedir="${build}">
			<!--<fileset file=".classpath" />-->
			<manifest>
				<attribute name="Main-Class" value="fr.inra.pappso.xtandempipeline.XtandemPipelineMain" />
			</manifest>
		</jar>


		<!-- cd bin; jar -cf client.jar; -->
		<!-- <jar jarfile="client.jar" basedir="bin"/> -->
	</target>

	<!--
	<path id="classpathUbuntu">
		<fileset dir="/usr/share/java" includes="**/*.jar" />
	</path>
-->

	<target name="generate_MyXtandemParser" depends="jar" description="generate the MyXtandemParser application">

		<signjar jar="${dist}/XtandemPipeline.jar" keystore="${keystore}" alias="${alias}" storepass="${storepass}" keypass="${keypass}" signedjar="${dist}/sXtandemPipeline.jar" />
		<!-- <signjar jar="images.jar" keystore="/home/langella/.keystore" alias="langella" 
			storepass="toto" keypass="toto" signedjar="${dist}/simages.jar" /> <signjar 
			jar="user_guide.jar" keystore="/home/langella/.keystore" alias="langella" 
			storepass="toto" keypass="toto" signedjar="${dist}/suser_guide.jar" /> -->
		<signjar destDir="${dist}/lib_signed" keystore="${keystore}" alias="${alias}" storepass="${storepass}" keypass="${keypass}">
			<path>
				<fileset dir="${lib}" includes="*.jar" />
			</path>
		</signjar>
		<signjar destDir="${dist}/lib_signed/http" keystore="${keystore}" alias="${alias}" storepass="${storepass}" keypass="${keypass}">
			<path>
				<fileset dir="${lib}/http" includes="*.jar" />
			</path>
		</signjar>

		<signjar destDir="${dist}/lib_signed/swt" keystore="${keystore}" alias="${alias}" storepass="${storepass}" keypass="${keypass}">
			<path>
				<fileset dir="${lib}/swt" includes="*.jar" />
			</path>
		</signjar>
		<signjar destDir="${dist}/lib_signed/batik" keystore="${keystore}" alias="${alias}" storepass="${storepass}" keypass="${keypass}">
			<path>
				<fileset dir="${lib}/batik" includes="*.jar" />
			</path>
		</signjar>


		<!-- construction du répertoire download pour JNLP-->


		<copy todir="${jnlpDir}/lib" overwrite="true">
			<fileset dir="${dist}/lib_signed" includes="*" />
		</copy>
		<copy todir="${jnlpDir}/lib/swt" overwrite="true">
			<fileset dir="${dist}/lib_signed/swt" includes="*" />
		</copy>
		<copy todir="${jnlpDir}/lib/batik" overwrite="true">
			<fileset dir="${dist}/lib_signed/batik" includes="*" />
		</copy>
		<copy todir="${jnlpDir}/lib/http" overwrite="true">
			<fileset dir="${dist}/lib_signed/http" includes="*" />
		</copy>

		<copy file="${dist}/sXtandemPipeline.jar" tofile="${jnlpDir}/XtandemPipeline.jar" overwrite="true" />
		<copy file="./share/xtandempipeline/xtandempipeline.jnlp" tofile="${jnlpDir}/xtandempipeline.jnlp" overwrite="true" />

	</target>


	<target name="installPROTICwww" depends="generate_MyXtandemParser">
		<copy todir="${PROTICwwwDir}/applet/xtandempipeline" overwrite="true">
			<fileset dir="${jnlpDir}" includes="*/**" />
		</copy>
	</target>

</project>